gss_canonicalize_name(3)

NAME
gss_canonicalize_name - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_canonicalize_name(OM_uint32 * minor_status, const gss_name_t input_name, const gss_OID mech_type, gss_name_t * output_name);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_name_t input_name
    (gss_name_t, read) The name for which a canonical form
      is desired.

const gss_OID mech_type
    (Object ID, read) The authentication mechanism for
      which the canonical form of the name is desired. The desired
      mechanism must be specified explicitly; no default is provided.

gss_name_t * output_name
    (gss_name_t, modify) The resultant canonical name.
      Storage associated with this name must be freed by the
      application after use with a call to gss_release_name().

DESCRIPTION
Generate a canonical mechanism name (MN) from an arbitrary internal name. The mechanism name is the name that would be returned to a context acceptor on successful authentication of a context where the initiator used the input_name in a successful call to gss_acquire_cred, specifying an OID set containing mech_type as its only member, followed by a call to gss_init_sec_context(), specifying mech_type as the authentication mechanism.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.